{* :Admin:Katalog:Produkty:Seznam:default *}
{block content}
    {*============================== BREADCRUMB ==============================*}
    <section class="border-bottom" id="breadcrumb">
        <nav class="p-3 bg-light">
            <ol class="breadcrumb mb-0">
                <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
                <li class="breadcrumb-item active"><i class="fas fa-shopping-cart me-1"></i>Katalog</li>
                <li class="breadcrumb-item active"><i class="fas fa-archive me-1"></i>Produkty</li>
            </ol>
        </nav>
    </section>
    {*============================== CONTENT ==============================*}
    <section class="container-xxl mb-3">
        <h1 n:block="title"><i class="fas fa-shopping-cart me-2"></i>Katalog - produkty</h1>
        {* filtrace *}
        <section class="row border-bottom mb-0 py-2">
            <div class="col-12 col-xl-9 mb-lg-2 mb-xl-0">
                <div class="w-100 d-md-flex justify-content-between align-items-center mb-3 mb-lg-0">
                    <div class="input-group mb-2 mb-md-0 me-2">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input type="text" id="kat-produkt-filter-nazev" class="form-control" placeholder="Název">
                    </div>
                    <div class="input-group mb-2 mb-md-0 me-2">
                        <span class="input-group-text"><i class="fas fa-rectangle-list"></i></span>
                        <select type="text" id="kat-produkt-filter-typ" class="form-select">
                            <option value="">Vyberte typ</option>
                            <option value="standart">Standartní</option>
                            <option value="sada">Sada</option>
                        </select>
                    </div>
                    <div class="input-group mb-2 mb-md-0 me-2">
                        <span class="input-group-text"><i class="fas fa-eye"></i></span>
                        <select type="text" id="kat-produkt-filter-aktivni" class="form-select">
                            <option value="">Vyberte možnost</option>
                            <option value="1">Aktivní</option>
                            <option value="0">Deaktivovaný</option>
                        </select>
                    </div>
                    <button class="btn btn-outline-success me-2" onclick="selectKatProduktyFilter()">Filtrovat</button>
                    <button class="btn btn-outline-secondary" onclick="selectKatProduktyFilterOff()">Reset</button>
                </div>
            </div>
            <div class="col-12 col-xl-3 d-flex justify-content-end">
                {control novyProdukt}
            </div>
        </section>
        {*seznam*}
        {snippet list}
            {*====== PAGINATOR ========*}
            {if (!empty($data))}
                {control paginator}
            {/if}
            {*====== TABLE ========*}
            <section>
                <div class="table-responsive">
                    <table class="table table-striped table-responsive">
                        <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Název</th>
                            <th scope="col">Typ</th>
                            <th scope="col" class="text-center">Aktivní</th>
                            <th scope="col"></th>
                        </tr>
                        </thead>
                        <tbody>
                        {if (!empty($data))}
                            {foreach $data as $one}
                                <tr>
                                    <td>{$one->id}</td>
                                    <th scope="col">{$one->nazev}</th>
                                    <td>
                                        {switch $one->typ}
                                            {case 'standart'}
                                            Standartní
                                            {case 'sada'}
                                            Sada
                                            {default}
                                            <i class="fas fa-question"></i> {$one->active}
                                        {/switch}
                                    </td>
                                    <td class="text-center">
                                        {switch $one->active}
                                            {case 1}
                                            <a class="ajax" n:href="changeActive! $one->id, $filter, $page">
                                                <i class="fas fa-eye text-success"></i>
                                            </a>
                                        {case 0}
                                            <a class="ajax" n:href="changeActive! $one->id, $filter, $page">
                                                <i class="fas fa-eye-slash text-danger"></i>
                                            </a>
                                        {default}
                                            <i class="fas fa-question"></i> {$one->active}
                                        {/switch}
                                    </td>
                                    <td>
                                        <div class="d-flex justify-content-end gap-3">
                                            <a n:href=":Admin:Katalog:Produkty:Editace:default $one->id" class="text-primary">
                                                <i class="fa-solid fa-edit me-2"></i>Editovat
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            {/foreach}
                        {else}
                            <tr>
                                <td colspan="4" class="text-center">
                                    Žádná data k zobrazení
                                </td>
                            </tr>
                        {/if}
                        </tbody>
                    </table>
                </div>
            </section>
        {/snippet}
    </section>
{/block}
{block scripts}
    <script>
        function selectKatProduktyFilter()
        {
            let nazev = $('#kat-produkt-filter-nazev').val();
            let aktivni = $('#kat-produkt-filter-aktivni').val();
            let typ = $('#kat-produkt-filter-typ').val();

            let data = [];

            if(nazev != '')
            {
                data['nazev'] = nazev;
            }
            if(aktivni != '')
            {
                data['aktivni'] = aktivni;
            }
            if(typ != '')
            {
                data['typ'] = typ;
            }

            naja.makeRequest('GET', {link filter!} , { {$control->getParameterId('filter')} : data });
        }

        function selectKatProduktyFilterOff()
        {
            let data = [];

            $('#kat-produkt-filter-nazev').val('');
            $('#kat-produkt-filter-aktivni').val('');
            $('#kat-produkt-filter-typ').val('');

            naja.makeRequest('GET', {link filter!} , { {$control->getParameterId('filter')} : data });
        }
    </script>
{/block}